#ifndef _ENVIRO_H_
#define _ENVIRO_H_

// trieda premennych a funkcii pre pracu s okolitym prostredim
class CEnviro {
public:
 CEnviro();  // konstruktor
 ~CEnviro(); // destruktor

 GLuint tex[6]; // identifikatory textur

 // inicializacia objektu predstavujuceho okolite prostredie
 int init(void);
 // vykreslenie objektu predstavujuceho okolite prostredie
 void draw(void);
private:
 float v[108]; // 3x36 vrcholov objektu predstavujuceho okolite prostredie
 float t[72];  // 2x36 texturovacich suradnic
 float tbn_t[108]; // 3x36 tangent
 float tbn_b[108]; // 3x36 bitangent
 float tbn_n[108]; // 3x36 normal

 vec3 tan,bit,nor; // pomocne vektory

 void get_tbn(int V,int T); // vypocet TBN
};

#endif
